Subject: bug#2676: 23.0.91; annoying/unnecessary vc-next-action conflict in vc-dir buffer

From: Dan Nicolaescu <[email-masked]>
Date: Mon, 16 Mar 2009 19:07:49 -0700 (PDT)

Miles Bader <[email-masked]> writes:

  > On Tue, Mar 17, 2009 at 10:00 AM, Dan Nicolaescu <[email-masked]> wrote:
  > >  > Hmm, you're right, that might cause problems.
  > >
  > > In that case you can close this bug, right?
  > 
  > Can I close bugs...?

Send an email to [email-masked] and it will be
closed.
For doing more than that see emacs/admin/notes/bugtracker

  > >  > Your advice about using "M" was useful, it would be cool if vc-dir
  > >  > could give such advice... :-)
  > >
  > > [METALIC VOICE]: This is vc-dir speaking follow everything I say!
  > 
  > Seriously...  if you've ever used git much, in some situations it
  > gives user-oriented advice like "if you want to do foo, you might want
  > to use comand x y z ...", and it's often a _really_ useful hint, even
  > if you've used git for a while (and the location of such advice is
  > tastefully chosen so that it's not annoying for experienced users).

  > One can figure out what the current vc-next-action conflict error
  > messages mean with a bit of thought, but they seem sort of
  > user-hostile, almost designed to cause one's eyes to glaze over...

I take responsibility for the error thrown by `vc-dir-deduce-fileset'.
How about saying something like:

VC operations when applied to multiple files require files to be in
similar VC states.
%s in state %s clashes with %s in state %s

If you have suggestions for this and other messages, they shouldn't be
too hard to improve.

In general some facility that shows tips for various modes would be
useful to have in emacs.